summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2019-02-26 17:15:06 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2019-02-26 17:15:06 +0300
commit6608559d020df9dc6c0e7364bc7c058a1c2ab1fd (patch)
tree63dbfd1ba4aa6c5b93846bf3b35f06fb12ffd001
parentdev-libs/mmtf-cpp: New package (diff)
downloadgentoo-6608559d020df9dc6c0e7364bc7c058a1c2ab1fd.tar.gz
gentoo-6608559d020df9dc6c0e7364bc7c058a1c2ab1fd.tar.bz2
gentoo-6608559d020df9dc6c0e7364bc7c058a1c2ab1fd.zip
sci-chemistry/pymol: Version bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
-rw-r--r--sci-chemistry/pymol/Manifest1
-rw-r--r--sci-chemistry/pymol/pymol-2.3.0.ebuild115
2 files changed, 116 insertions, 0 deletions
diff --git a/sci-chemistry/pymol/Manifest b/sci-chemistry/pymol/Manifest
index d308fc6a065..4e293b43050 100644
--- a/sci-chemistry/pymol/Manifest
+++ b/sci-chemistry/pymol/Manifest
@@ -1,3 +1,4 @@
DIST pymol-1.8.4.0.png.xz 19528 BLAKE2B f3d23d4cedca3d8bb96b20646a548da4be570697e3346a11b01c5c3599b536ba4697be08472dfa8a4f6533167defc1a37a1de332931a73857319cb28fd42cd2b SHA512 40bb0d3f226476f6e047b5361956aad955232a97641474765eaa5204f0539aee3810e0266213618a45364f9f31f6eb18380b17e0c79f64065f7b62a9016caa7c
DIST pymol-2.2.0.tar.gz 10514753 BLAKE2B 54bf7c639ec1af0c318438f6dcbe5878aded5cc360dee3a5f1dee4b6eea588f4242865ae8adf1e044628ad5f71aa8f6d58d0cc71baf7c1f20eed3045ed3a1cb1 SHA512 56776586276208d42cc4bd4c3cb7d6b9a08e7239186b8f398c75cb57f85e05ebf51aaa8cdec5672e56beeda26f1cd9d14c6de7fba1a741f9c8ec22c1292b9c63
+DIST pymol-2.3.0.tar.gz 10448674 BLAKE2B 0d508587d880ce7f2e8a0481bf664e6bfe6eb1d68b0f48b9266cde756824bd8c0144d7243e958bbc5e571d60fca9dafff125d81a8a3d32107e78ad2ff8dffc05 SHA512 e1dcea1c97bcd9045d3543e92902f240e6affbf61a38e8d2a0be04309e3dbabfe1a869847d1423b3151008978d4c305bbf3ce994fc9d453c0063ce020100c133
DIST pymol-v1.8.4.0.tar.bz2 8717344 BLAKE2B a4cfb95eb40a3cd3da5b8cfd4acac7255997f9a3e49ef7e7e1d4c13f36e4aace462a054c326bbaadbc99f22286be878a6d5c518149760b5c939ce9362d4b8cc3 SHA512 73a810adfc31adaf0f3fa25512084882c87b0782c8af716ac0203a5b5b7f0b9fedfbce3d129bffef7b52044e92b0542e683966b2acf961c4dac17fbba72dd7fe
diff --git a/sci-chemistry/pymol/pymol-2.3.0.ebuild b/sci-chemistry/pymol/pymol-2.3.0.ebuild
new file mode 100644
index 00000000000..0f197578023
--- /dev/null
+++ b/sci-chemistry/pymol/pymol-2.3.0.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk"
+
+inherit distutils-r1 eutils xdg-utils flag-o-matic
+
+DESCRIPTION="A Python-extensible molecular graphics system"
+HOMEPAGE="http://www.pymol.org/"
+SRC_URI="
+ https://dev.gentoo.org/~jlec/distfiles/${PN}-1.8.4.0.png.xz
+ https://github.com/schrodinger/pymol-open-source/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ "
+# git archive -v --prefix=${P}/ master -o ${P}.tar.xz
+RESTRICT="mirror"
+LICENSE="PSF-2.2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="web"
+
+DEPEND="
+ dev-libs/msgpack[cxx]
+ dev-libs/mmtf-cpp
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pyopengl[${PYTHON_USEDEP}]
+ media-libs/freeglut
+ media-libs/freetype:2
+ media-libs/glew:0=
+ media-libs/glm
+ media-libs/libpng:0=
+ media-video/mpeg-tools
+ sys-libs/zlib
+ virtual/python-pmw[${PYTHON_USEDEP}]
+ !sci-chemistry/pymol-apbs-plugin[${PYTHON_USEDEP}]
+ web? ( !dev-python/webpy[${PYTHON_USEDEP}] )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${PN}-open-source-${PV}
+
+python_prepare_all() {
+ sed \
+ -e "s:\"/usr:\"${EPREFIX}/usr:g" \
+ -e "/ext_comp_args.*+=/s:\[.*\]$:\[\]:g" \
+ -e "/import/s:argparse:argparseX:g" \
+ -i setup.py || die
+
+ sed \
+ -e "s:/opt/local:${EPREFIX}/usr:g" \
+ -e '/ext_comp_args/s:\[.*\]:[]:g' \
+ -i setup.py || die
+ sed \
+ -e "s:\['msgpackc'\]:\['msgpack'\]:g" \
+ -i setup.py || die
+
+ append-cxxflags -std=c++0x
+
+ distutils-r1_python_prepare_all
+}
+
+python_install() {
+ distutils-r1_python_install \
+ --pymol-path="${EPREFIX}/usr/share/pymol"
+
+ sed \
+ -e '1d' \
+ -e "/APBS_BINARY_LOCATION/s:None:\"${EPREFIX}/usr/bin/apbs\":g" \
+ -e "/APBS_PSIZE_LOCATION/s:None:\"$(python_get_sitedir)/pdb2pqr/src/\":g" \
+ -e "/APBS_PDB2PQR_LOCATION/s:None:\"$(python_get_sitedir)/pdb2pqr/\":g" \
+ -i "${D}/$(python_get_sitedir)"/pmg_tk/startup/apbs_tools.py || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ sed \
+ -e '1i#!/usr/bin/env python' \
+ "${D}/$(python_get_sitedir)"/pymol/__init__.py > "${T}"/${PN} || die
+
+ python_foreach_impl python_doscript "${T}"/${PN}
+
+ # These environment variables should not go in the wrapper script, or else
+ # it will be impossible to use the PyMOL libraries from Python.
+ cat >> "${T}"/20pymol <<- EOF
+ PYMOL_PATH="${EPREFIX}/usr/share/pymol"
+ PYMOL_DATA="${EPREFIX}/usr/share/pymol/data"
+ PYMOL_SCRIPTS="${EPREFIX}/usr/share/pymol/scripts"
+ EOF
+
+ doenvd "${T}"/20pymol
+
+ newicon "${WORKDIR}"/${PN}-1.8.4.0.png ${PN}.png
+ make_desktop_entry ${PN} PyMol ${PN} \
+ "Graphics;Education;Science;Chemistry;" \
+ "MimeType=chemical/x-pdb;chemical/x-mdl-molfile;chemical/x-mol2;chemical/seq-aa-fasta;chemical/seq-na-fasta;chemical/x-xyz;chemical/x-mdl-sdf;"
+
+ if ! use web; then
+ rm -rf "${D}/$(python_get_sitedir)/web" || die
+ fi
+
+ rm -f "${ED}"/usr/share/${PN}/LICENSE || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ optfeature "Electrostatic calculations" sci-chemistry/apbs sci-chemistry/pdb2pqr
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}